# Data Dictionary: Base Jobs API

## Overview

Data dictionary for data retrieved using Base Jobs API endpoints.

This data dictionary shows all available data fields, explains their values, and provides data samples from the API Base Jobs dataset.

{% tabs %}
{% tab title="Data fields per category" %}

1. [Main job posting information](#data-point-explanations)
2. [Industries](#industries)
3. [Functions](#functions)
   {% endtab %}
   {% endtabs %}

{% hint style="info" %}
All personal/company information mentioned within this context is entirely fictional and is solely intended for illustrative purposes.
{% endhint %}

## Data field explanations

### Main (root) table

| Data field                    | Description                                                                                                                                                                                                            | Data type        |
| ----------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------- |
| `time_posted`                 | Job ad publish date (as displayed on the professional network)                                                                                                                                                         | String           |
| `title`                       | Job title                                                                                                                                                                                                              | String           |
| `description`                 | <p>Job description<br><strong>Note</strong>: contains control characters.</p>                                                                                                                                          | String           |
| `seniority`                   | Seniority level                                                                                                                                                                                                        | String           |
| `employment_type`             | Full-time or part-time work                                                                                                                                                                                            | String           |
| `location`                    | Job location                                                                                                                                                                                                           | String           |
| `url`                         | Job posting URL                                                                                                                                                                                                        | String           |
| `hash`                        | Job posting URL, processed by the MD5 algorithm                                                                                                                                                                        | String           |
| `company_id`                  | Company identification key, relating directly to the **company table**                                                                                                                                                 | Number (integer) |
| `company_name`                | Company name                                                                                                                                                                                                           | String           |
| `company_url`                 | Company profile URL                                                                                                                                                                                                    | String           |
| `external_url`                | External URL provided by the company referring to the job posting                                                                                                                                                      | String           |
| `application_active`          | <p>One of two values possible:</p><p><code>0</code> – the last time we scraped the job posting, the job posting was deactivated.<br><code>1</code> – the last time we scraped the job posting, it was still active</p> | Integer          |
| `salary`                      | Offered salary                                                                                                                                                                                                         | String           |
| `applicants_count`            | Number of applicants                                                                                                                                                                                                   | String           |
| `professional_network_job_id` | Job identifier on the professional network                                                                                                                                                                             | Number (integer) |
| `country`                     | Job location (country)                                                                                                                                                                                                 | String           |
| `last_updated_ux`             | Unix timestamp of the last record update                                                                                                                                                                               | Number (integer) |
| `redirected_url`              | URL where we are redirected while trying to access the job posting                                                                                                                                                     | String           |
| `redirected_url_hash`         | Redirected URL processed by the MD5 algorithm                                                                                                                                                                          | String           |

**Refer to the table example from the data:**

{% code title="Main job table" %}

```json
  {
    "id": 6946,
    "created": "2020-08-21 11:16:17",
    "last_updated": "2021-02-24 22:30:06",
    "time_posted": "6 months ago",
    "title": "Energy Procurement Negotiator",
    "description": "Responsibilities will include:   ·        Produce tenders and issue them to suppliers within appropriate deadlines ·        Initiate price and contract term negotiations with suppliers ·        Ensure contract recommendations are accurate and sent out in a timely manner ·        Enter manual and electronic offers accurately, to create like-for-like cost analysis ·        Working closely with other teams and supporting the wider busines with knowledge of energy contracting and pricing ·        Issuing recommendations to clients via e-mail, and following-up via telephone ·        Processing of acceptances ·        Ensuring system details are maintained and updated accurately ·        Develop networks and relationships with energy supplier contacts ·        Ensure tender fees are invoiced upon completion of work ·        Ongoing contract management and resolution of client queries",
    "seniority": "Associate",
    "employment_type": "Full-time",
    "location": "Owlsmoor, England, United Kingdom",
    "url": "https://www.professional-network.com/jobs/view/energy-procurement-negotiator-at-energy-company-2002092926",
    "hash": "e9dccd36998f1c4a341fc1e234f57a2e",
    "company_id": 23087523,
    "company_name": "Energy company",
    "company_url": "https://www.professional-network.com/company/energy-company",
    "external_url": null,
    "deleted": 1,
    "application_active": 0,
    "salary": "£23,000.00 - £28,000.00",
    "applicants_count": "55 applicants",
    "professional-network_job_id": 2002092926,
    "country": "United Kingdom",
    "last_updated_ux": 1614205806,
    "redirected_url": "https://www.professional-network.com/jobs/view/energy-procurement-negotiator-at-energy-company-2002092926",
    "redirected_url_hash": "e9dccd36998f1c4a341fc1e234f57a2e",
```

{% endcode %}

### Industries

| Data field                | Description                          | Data type        |
| ------------------------- | ------------------------------------ | ---------------- |
| `job_industry_collection` | Consists `job_industry_list` objects | Array of objects |
| `job_industry_list`       | Job industry list                    | Object           |
| `industry`                | Job industry title                   | String           |

**Refer to the table example from the data:**

{% code title="Job industry collection" %}

```json
"job_industry_collection": [
        {
            "job_industry_list": {
                "industry": "Oil & Energy"
            }
        },
        {
            "job_industry_list": {
                "industry": "Environmental Services"
            }
        },
        {
            "job_industry_list": {
                "industry": "Utilities"
            }
        }
    ]
```

{% endcode %}

### Functions

| Data field                 | Description        | Data type |
| -------------------------- | ------------------ | --------- |
| `job_functions_collection` | Job functions list | String    |

**See a snippet of the dataset for reference:**

{% code title="Functions" %}

```json
  "job_functions_collection": [
    "Sales",
    "Marketing"
  ]
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.coresignal.com/jobs-api/base-jobs-api/data-dictionary-base-jobs-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
